Bug 248800 - d3lphin obsoletes dolphin (for kde3)
Summary: d3lphin obsoletes dolphin (for kde3)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dolphin   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 222589 255561
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 21:13 UTC by Christoph Trassl
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 15:32:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
d3lphin-0.9.1 specfile (2.88 KB, text/plain)
2007-07-18 21:13 UTC, Christoph Trassl
no flags Details

Description Christoph Trassl 2007-07-18 21:13:54 UTC
Description of problem:
dolphin-0.8.2 (dolphin kde3 branch) is unmaintained. 
d3lphin is a fork of dolphin which includes some minor improvements and fixed
some bigger annoyances (eg. ability to turn off .dolphinview/.d3lphinview
settings files).

dolphin should be obsoleted by d3lphin until kde4 is included with fedora.

I adopted the last dolphin .specfile for d3lphin-0.9.1. The specfile is tested
and attached. Would be nice if we could get d3lphin instead of dolphin in the tree.

Thanks a lot in advance.

Comment 1 Christoph Trassl 2007-07-18 21:13:54 UTC
Created attachment 159560 [details]
d3lphin-0.9.1 specfile

Comment 2 Chitlesh GOORAH 2007-07-18 22:26:03 UTC
(In reply to comment #0)
> Would be nice if we could get d3lphin instead of dolphin in the tree.
> Thanks a lot in advance.

Thanks for your effort, I'll give credit to your work.

But first I'll consult the KDE Sig as we are planning to include KDE4 in F-8.



Comment 3 Christoph Trassl 2007-07-18 23:08:00 UTC
Ok, fine. 

If I get the rpm package dependency possibilities right, we could obsolete
d3lphin when dolphin & kde4 hit the stage (at least this worked fine with
digikam recently and pidgin).

If there is no kde4 for f7 (f6 will be deprecated when f8 is there) we could
maintain d3lphin for f7 until kde3 is not supported by fedora any more. 


Comment 4 Chitlesh GOORAH 2007-07-18 23:11:54 UTC
Actually are you a fedora packager ?
before you posted this bug report I was about orphaning dolphin. If you are 
interested and already sponsored I can give your the ownership of dolphin 
right away.

Comment 5 Christoph Trassl 2007-07-20 21:21:17 UTC
Actually, no I am not. Am am involved kind of in the security team, but not in
packaging yet, so no sponsoring, and the worse, no clue how the whole packaging
process works and how much time it consumes.

So, please, don't orphan dolphin/d3lphin. You may drop it after releasing
d3lphin-0.9.1 ;). 

I assume there won't be any more significant releases of d3lphin. Just the fixes
for those nasty dolphin bugs should make their way into the fedora tree.

Tia.

Comment 6 Chitlesh GOORAH 2007-08-23 23:32:36 UTC
(In reply to comment #5)
> Actually, no I am not. Am am involved kind of in the security team,

So I guess you are subscribed to fedora-devel mailing list ? :)
I've recently started a discussion on d3lphin obsoleting dolphin.

Please do follow it :)

By this sunday, we should come up a firm decision whether to :
* apply d3lphin patches on the old dolphin
or 
* start a new review on d3lphin based on your work (see attachment)

Comment 7 Chitlesh GOORAH 2007-08-28 15:32:24 UTC
I've pushed d3lphin to 
F7: fedora-updates-testing
FC6 : fedora-extras updates
and rawhide.


Note You need to log in before you can comment on or make changes to this bug.